-- EuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEu
-- Program:  Chess (version 1.6a) 
-- Language: Euphoria
-- Author:   Normand M. Blais
-- Date:     August 1998
-- File:     grutl.e
-- EuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEu

without warning
without type_check

include graphics.e
include image.e
include putsxy.e

global procedure Video()
   if graphics_mode(18) then
      puts(1,"Graphic mode please.\n")
      abort(1)
   end if
end procedure

global procedure Text()
   if graphics_mode(-1) then
   end if
end procedure

constant degperrad = 57.29577951
constant radperdeg = 0.017453293

function deg2rad(atom d)
   return d * radperdeg
end function

function rad2deg(atom r)
   return r * degperrad
end function

-- draw a rectangle or a square
global procedure rectangle(sequence s,integer color, integer fill)
-- s = {x,y,xlen,ylen}
-- fill = 1 or 0  
   integer x,y,xlen,ylen
   x = s[1]
   y = s[2]
   xlen = s[3]
   ylen = s[4]
   polygon(color,fill, { {x,y},{x+xlen,y},{x+xlen,y+ylen},{x,y+ylen},{x,y}})
end procedure

-- draw a circle
global procedure circle(sequence s, integer color, integer fill)
-- s = {x,y,diameter}  -- x and y are the center of the circle
-- fill = 1 or 0
   atom x1,y1,x2,y2 
   
   x1 = s[1] - s[3]/2
   y1 = s[2] - s[3]/2
   x2 = s[1] + s[3]/2
   y2 = s[2] + s[3]/2   
   
   ellipse(color,fill,{x1,y1},{x2,y2})
end procedure

global procedure pause( atom x) -- in sec
     atom t
     t = time()
     while time() < t+x do
     end while
end procedure

global procedure Writexy(sequence loc, sequence s,
                         integer forg, integer bakg)
  putsxy({loc[1],loc[2]},s,forg,bakg,0)                     
end procedure

------------------------------------------------------------------------------

