-- Title   : Put String at XY position (PUTSXY)
-- Author  : David Alan Gay
-- Created : 1/07/97
-- Modified: 1/11/97
-- Modified: 1/7/98 Rob Craig - made it faster and simpler, since a lot of 
--           people are using it. 
-- Purpose : To allow the display of text at a specific pixel location
--           instead of a row and column.
-- Reason  : For use in "A Beginner's Guide To Euphoria 2.00", to allow
--         : graphics and text to be displayed at pixel precision level
-- Stable? : Passed programmer testing, requires some user testing but is
--           safe. No edit check routines!


sequence master_index
sequence font_index
sequence font001
sequence font002
sequence font003
sequence font004
sequence font005
sequence font006
sequence font007
sequence font008
sequence font009
sequence font010
sequence font011
sequence font012
sequence font013
sequence font014
sequence font015
sequence font016
sequence font017
sequence font018
sequence font019
sequence font020
sequence font021
sequence font022
sequence font023
sequence font024
sequence font025
sequence font026
sequence font027
sequence font028
sequence font029
sequence font030
sequence font031
sequence font032
sequence font033
sequence font034
sequence font035
sequence font036
sequence font037
sequence font038
sequence font039
sequence font040
sequence font041
sequence font042
sequence font043
sequence font044
sequence font045
sequence font046
sequence font047
sequence font048
sequence font049
sequence font050
sequence font051
sequence font052
sequence font053
sequence font054
sequence font055
sequence font056
sequence font057
sequence font058
sequence font059
sequence font060
sequence font061
sequence font062
sequence font063
sequence font064
sequence font065
sequence font066
sequence font067
sequence font068
sequence font069
sequence font070
sequence font071
sequence font072
sequence font073
sequence font074
sequence font075
sequence font076
sequence font077
sequence font078
sequence font079
sequence font080
sequence font081
sequence font082
sequence font083
sequence font084
sequence font085
sequence font086
sequence font087
sequence font088
sequence font089
sequence font090
sequence font091
sequence font092
sequence font093
sequence font094
sequence font095
sequence font096
sequence font097
sequence font098
sequence font099
sequence font100
sequence font101
sequence font102
sequence font103
sequence font104

font001 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font002 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{7,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font003 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{7,7,0,0,0,0,7,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,7,0},
{0,7,7,0,0,7,7,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font004 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,7,7,0,0},
{7,7,7,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font005 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,0,7,0},
{0,7,7,0,7,0,0,0},
{0,7,7,7,7,0,0,0},
{0,7,7,0,7,0,0,0},
{0,7,7,0,0,0,7,0},
{0,7,7,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font006 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,0,7,0},
{0,7,7,0,7,0,0,0},
{0,7,7,7,7,0,0,0},
{0,7,7,0,7,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font007 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{7,7,0,0,0,0,7,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,0,7,7,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,0,7,7,7,0,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font008 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font009 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font010 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font011 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,0,7,7,0},
{7,7,7,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font012 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,7,0},
{0,7,7,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font013 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,7,0,7,7,7,0},
{7,7,7,7,7,7,7,0},
{7,7,7,7,7,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font014 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,7,0,0,7,7,0},
{7,7,7,7,0,7,7,0},
{7,7,7,7,7,7,7,0},
{7,7,0,7,7,7,7,0},
{7,7,0,0,7,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font015 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,0,7,7,0,0},
{0,0,7,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font016 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font017 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,0,7,7,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font018 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{7,7,7,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font019 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,0,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,0,0,0,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font020 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,7,0},
{0,7,7,7,7,7,7,0},
{0,7,0,7,7,0,7,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font021 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font022 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,0,7,7,0,0},
{0,0,7,7,7,0,0,0},
{0,0,0,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font023 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,7,7,7,7,7,0},
{0,7,7,7,7,7,0,0},
{0,7,7,0,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font024 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,0,7,7,0,0},
{0,0,7,7,7,0,0,0},
{0,0,7,7,7,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font025 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,0,7,7,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font026 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,0},
{7,7,0,0,0,7,7,0},
{7,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,0,0,0,0,7,0},
{7,7,0,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font027 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,0,0,0},
{0,0,0,0,7,7,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font028 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font029 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font030 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,7,7,7,7,0,0},
{0,7,7,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font031 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font032 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,0,7,0,0},
{0,7,7,0,0,0,0,0},
{7,7,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font033 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,0,7,7,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font034 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,7,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{7,7,7,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font035 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font036 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,7,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font037 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,7,7,0,0},
{0,7,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,0,7,7,0},
{7,7,7,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font038 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font039 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,0,7,7,0,0},
{7,7,7,7,7,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font040 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font041 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font042 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font043 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,0,7,7,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font044 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,7,7,7,0,0},
{0,7,7,7,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font045 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,0,0,0,0},
{0,0,0,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font046 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{7,7,7,7,7,7,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,7,7,0},
{0,0,0,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font047 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font048 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,0,7,7,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font049 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,0,7,0,7,7,0},
{7,7,7,7,7,7,7,0},
{0,7,7,0,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font050 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{0,7,7,0,7,7,0,0},
{0,0,7,7,7,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font051 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{7,7,7,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font052 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,0},
{7,7,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font053 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font054 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,0,0,0,7,7,0},
{7,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font055 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font056 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,7,0,0},
{0,0,7,7,7,7,0,0},
{0,7,7,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,7,7,7,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font057 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,7,7,7,7,0,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font058 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font059 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font060 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font061 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,7,7,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font062 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,7,7,7,0},
{7,7,0,7,7,7,7,0},
{7,7,7,7,0,7,7,0},
{7,7,7,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font063 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font064 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font065 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,0,7,7,0},
{7,7,0,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font066 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,7,7,7,7,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font067 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{7,7,0,7,7,7,7,0},
{7,7,0,7,7,7,7,0},
{7,7,0,7,7,7,7,0},
{7,7,0,7,7,7,0,0},
{7,7,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font068 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,7,7,0,0},
{7,7,7,7,7,7,7,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,7,7,0,0},
{7,7,7,7,7,7,7,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font069 = {
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,0,7,0},
{7,7,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{0,0,0,0,0,7,7,0},
{7,0,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,7,7,7,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font070 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,0,0,0,0,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font071 = {
{0,0,0,7,0,0,0,0},
{0,0,0,7,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font072 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,0,7,7,0,0},
{0,7,7,0,7,7,0,0},
{0,0,7,7,7,0,0,0},
{0,7,7,7,0,7,7,0},
{7,7,0,7,7,7,0,0},
{7,7,0,0,7,7,0,0},
{7,7,0,0,7,7,0,0},
{0,7,7,7,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font073 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,0,0,7,7,0},
{0,0,7,7,7,7,0,0},
{7,7,7,7,7,7,7,7},
{0,0,7,7,7,7,0,0},
{0,7,7,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font074 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font075 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font076 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,7,7,7,7,7,7,7},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font077 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,7,7,7,7,7,7,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font078 = {
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font079 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,7,7,7,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,7,7,7,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,7,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font080 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,7,7,7,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,7,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font081 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font082 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font083 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,7,7,0,0,7,7,0},
{0,0,7,0,0,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font084 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font085 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font086 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,7,7,7,7,7,0,0},
{7,7,0,0,0,7,7,0},
{7,7,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font087 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font088 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,0,0,7,7,0,0},
{0,0,7,7,7,7,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font089 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{7,0,0,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,7,7,0,0,0,0,0},
{0,7,7,7,0,0,0,0},
{0,0,7,7,7,0,0,0},
{0,0,0,7,7,7,0,0},
{0,0,0,0,7,7,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,0,0,7,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font090 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font091 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font092 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font093 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,7,7,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font094 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,7,0},
{0,0,0,0,0,7,7,0},
{0,0,0,0,7,7,0,0},
{0,0,0,7,7,0,0,0},
{0,0,7,7,0,0,0,0},
{0,7,7,0,0,0,0,0},
{7,7,0,0,0,0,0,0},
{7,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

-- user definable font display_images from variable font095 to font103

font095 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font096 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font097 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font098 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font099 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font100 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font101 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font102 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font103 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

font104 = {
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,1,1,1,1,1,1,0},
{0,1,0,1,1,0,1,0},
{0,1,0,1,1,0,1,0},
{0,1,0,1,1,0,1,0},
{0,1,1,1,1,1,1,0},
{0,1,0,1,1,0,1,0},
{0,1,0,1,1,0,1,0},
{0,1,0,1,1,0,1,0},
{0,1,0,1,1,0,1,0},
{0,1,1,1,1,1,1,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0},
{0,0,0,0,0,0,0,0}
}

-- link all font display_images into one contigious index

font_index = {
  font001,
  font002,
  font003,
  font004,
  font005,
  font006,
  font007,
  font008,
  font009,
  font010,
  font011,
  font012,
  font013,
  font014,
  font015,
  font016,
  font017,
  font018,
  font019,
  font020,
  font021,
  font022,
  font023,
  font024,
  font025,
  font026,
  font027,
  font028,
  font029,
  font030,
  font031,
  font032,
  font033,
  font034,
  font035,
  font036,
  font037,
  font038,
  font039,
  font040,
  font041,
  font042,
  font043,
  font044,
  font045,
  font046,
  font047,
  font048,
  font049,
  font050,
  font051,
  font052,
  font053,
  font054,
  font055,
  font056,
  font057,
  font058,
  font059,
  font060,
  font061,
  font062,
  font063,
  font064,
  font065,
  font066,
  font067,
  font068,
  font069,
  font070,
  font071,
  font072,
  font073,
  font074,
  font075,
  font076,
  font077,
  font078,
  font079,
  font080,
  font081,
  font082,
  font083,
  font084,
  font085,
  font086,
  font087,
  font088,
  font089,
  font090,
  font091,
  font092,
  font093,
  font094,
  font095,
  font096,
  font097,
  font098,
  font099,
  font100,
  font101,
  font102,
  font103,
  font104
}

-- link all supported characters into a master index for cross reference
-- with the font display_image index

master_index = 
  "ABCDEFGHIJKLMNOPQRSTUVWXYZ" &
  "abcdefghijklmnopqrstuvwxyz" &
  "1234567890-=~!@#$%^&*()_+`" &
  "{}|:\"<>?[]\\;',./          "


global procedure putsxy(sequence pixel_loc, sequence display_text,
			atom foreground, atom background, atom direction)

    atom x,y, font_selected
    sequence font_index_b
    
    -- get x and y and store in simple variables

    x = pixel_loc[1]
    y = pixel_loc[2]

    -- Scan entire text string by character and see if each is supported on the
    -- master index of characters. If so, use the found element number as
    -- a cross reference to obtain a font in the font_index. If character is
    -- not supported, use font #104 to show a special code to indicate not
    -- supported. Replace default colour of WHITE with passed colour code in the
    -- selected font. Display selected font using display_image, as each font is
    -- structured to be easily displayed using that command. When that is done,
    -- either advance 8 x pixels right (the width of one character) or advance 
    -- 16 y pixels down (the height of one character) as based on the across 
    -- or down parm (parm #4)
    
    for ix = 1 to length(display_text) do
	font_selected = find(display_text[ix],master_index)
	if font_selected = 0 then
	    font_selected = 104
	end if
	font_index_b = font_index[font_selected]
	for e3 = 1 to 8 do
	    for e2 = 1 to 16 do
		if font_index_b[e2][e3] > 0 then
		    font_index_b[e2][e3] = foreground
		else
		    font_index_b[e2][e3] = background
		end if
	    end for
	end for
	
	display_image({x,y},font_index_b)
	
	if direction = 'd' or direction = 'D' then
	    y = y + 16
	else
	    x = x + 8
	end if
    end for
end procedure

