---------------------- Information from the mail header -----------------------
--Sender:       Euphoria Programming for MS-DOS <EUPHORIA@MIAMIU.ACS.MUOHIO.EDU>
--Poster:       Michael Bolin <michaeltom@GEOCITIES.COM>
--Subject:      get_key()
-------------------------------------------------------------------------------
 
--Hello all,
 
--        Here's a short Euphoria routine designed to replace get_key().
-- It returns the same output, and it has two advantages over the 
-- built in routine:
 
--    Control-C doesn't print ^C, it just returns the correct value.
--    It's about 10 times as fast :)

-- Updated to handle key codes over 255.

--Here's the code:

include machine.e
 
global function fast_key()
    sequence reg_list,read_list
    integer key
 
    if compare(peek({1050,2}),peek({1052,2})) then
	reg_list=repeat(0,10)
	reg_list[REG_AX]=#1000
	read_list=dos_interrupt(#16,reg_list)
	key=remainder(read_list[REG_AX],256)
	if key=224 or key=0 then
	    return floor(read_list[REG_AX]/256)+256
	else
	    return key
	end if
    else
	return -1
    end if
end function

--------------------------------------------
 
-- Regards,
--               Michael Bolin

