-- EuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEu
-- Program:  Chess (version 1.6a) 
-- Language: Euphoria
-- Author:   Normand M. Blais
-- Date:     August 1998
-- File:     meswin.e
-- EuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEuEu

include graphics.e
include image.e
include putsxy.e  -- Author: David Alan Cay

constant WINXLOC       = 450
constant WINYLOC       = 50
constant WINLENGTH     = 150
constant WINHEIGHT     = 30 
constant WINCOLORFRAME = BRIGHT_WHITE
constant WINCOLORTEXT  = BRIGHT_MAGENTA
constant MAXCHAR = floor(WINLENGTH/8) - 3


procedure Set_message_window(integer color,
  integer x, integer y, integer xlen, integer ylen)
  polygon(WHITE,1,
  {{x-3,y-3},{x+xlen+3,y-3},{x+xlen+3,y+ylen+3},{x-3,y+ylen+3},{x-3,y-3}})
  polygon(color,1,{{x,y},{x+xlen,y},{x+xlen,y+ylen},{x,y+ylen},{x,y}})
end procedure

procedure Write_message_window(integer x, integer y, sequence st)
  putsxy({x+length(st),y+6},st,WINCOLORTEXT,WINCOLORFRAME,0)
end procedure

-----------------------------------------------------------------------------
-- Interfaces
-----------------------------------------------------------------------------
global procedure Messagewindow()
  Set_message_window(WINCOLORFRAME,WINXLOC,WINYLOC,WINLENGTH,WINHEIGHT)
end procedure      

global procedure Writemessage(sequence s)
  if length(s) > MAXCHAR then
     s = s[1..MAXCHAR]
  end if
  Set_message_window(WINCOLORFRAME,WINXLOC,WINYLOC,WINLENGTH,WINHEIGHT)
  Write_message_window(WINXLOC,WINYLOC,s)
end procedure

-----------------------------------------------------------------------------
-- How to use Meter.e
-- 1. Set constant values
-- 2. Call Messagewindow to create the window with no message.
-- 3. Call Writemessage with a string to display a message.
-----------------------------------------------------------------------------

-- Test_drive

--include grutl.e

--include get.e

--object spare
                              
--Video() -- Initiate graphics mode
                                         
--Messagewindow()

--spare = wait_key()

--Writemessage("NEW GAME")
--spare = wait_key()
--Writemessage("WHITE TO MOVE")
--spare = wait_key()
--Writemessage("BLACK TO MOVE")
--spare = wait_key()
--Writemessage("CHECKMATE")
--spare = wait_key()


--Text() -- Return to text mode

